% This program replicates Figure 6 in "A Static Capital Buffer is 
% Hard to Beat" by Matthew Canzoneri, Behzad Diba, Luca Guerrieri 
% and Arsenii Mishin.

clear all

setpath_windows

global M_ oo_
global changes_names changes_vec




all_changes_vec = [0.03:0.01:.20]

nchanges = length(all_changes_vec)

changes_names = 'taup';


for this_change = 1:nchanges

changes_vec = all_changes_vec(this_change);

model_safe_paramfile

gammap_vec(this_change) = gammap;

end
% 
% legendlist  = char('Endog. Capital Requirements','Fixed Capital Requirements');
% makechart(titlelist,legendlist,figlabel,ylabels,line2,line1);
% printpref
figure
subplot(1,2,1)
plot(all_changes_vec,100*gammap_vec,'k')
ylabel('Steady state capital requirement, %')
xlabel('Standard deviation of idiosyncratic returns for risky projects')

ylim([0 55])

changes_vec = [];
changes_names = '';

model_safe_paramfile

hold on; plot(taup, gammap*100,'or')




%%%%%%%%%%%%%%

all_changes_vec = [0.00005:0.0001:0.01]

nchanges = length(all_changes_vec)

changes_names = 'xip';


for this_change = 1:nchanges

changes_vec = all_changes_vec(this_change);

model_safe_paramfile

xip_vec(this_change) = gammap;

end




subplot(1,2,2)
plot(100*all_changes_vec,100*xip_vec,'k')
ylabel('Steady state capital requirement, %')
xlabel('Average penalty on returns for risky projects, PPt.')


% reset to default parameters
changes_vec = [];
changes_names = '';

model_safe_paramfile

hold on; plot(xip*100, gammap*100,'or')

ylim([0 55])